import router from '@/router'
import { getFromId } from '@/store/appCallerStore'

export default function (
  masterId: string,
  targetId: string,
  routeQueryTarget: string,
): boolean {
  if (
    masterId === getFromId() &&
    targetId === routeQueryTarget &&
    router.currentRoute.value.name === 'Chat'
  ) {
    return true
  } else return false
}
